diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/examples/csma-one-subnet.cc ns-3.43/src/csma/examples/csma-one-subnet.cc
--- ns-3.42/src/csma/examples/csma-one-subnet.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/examples/csma-one-subnet.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/examples/csma-packet-socket.cc ns-3.43/src/csma/examples/csma-packet-socket.cc
--- ns-3.42/src/csma/examples/csma-packet-socket.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/examples/csma-packet-socket.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/examples/csma-ping.cc ns-3.43/src/csma/examples/csma-ping.cc
--- ns-3.42/src/csma/examples/csma-ping.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/examples/csma-ping.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/examples/csma-raw-ip-socket.cc ns-3.43/src/csma/examples/csma-raw-ip-socket.cc
--- ns-3.42/src/csma/examples/csma-raw-ip-socket.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/examples/csma-raw-ip-socket.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/helper/csma-helper.cc ns-3.43/src/csma/helper/csma-helper.cc
--- ns-3.42/src/csma/helper/csma-helper.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/helper/csma-helper.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/helper/csma-helper.h ns-3.43/src/csma/helper/csma-helper.h
--- ns-3.42/src/csma/helper/csma-helper.h	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/helper/csma-helper.h	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/model/backoff.cc ns-3.43/src/csma/model/backoff.cc
--- ns-3.42/src/csma/model/backoff.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/model/backoff.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007, Emmanuelle Laprise
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/model/backoff.h ns-3.43/src/csma/model/backoff.h
--- ns-3.42/src/csma/model/backoff.h	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/model/backoff.h	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Emmanuelle Laprise
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca
  * Derived from the p2p net device file
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/model/csma-channel.cc ns-3.43/src/csma/model/csma-channel.cc
--- ns-3.42/src/csma/model/csma-channel.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/model/csma-channel.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Emmanuelle Laprise
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/model/csma-channel.h ns-3.43/src/csma/model/csma-channel.h
--- ns-3.42/src/csma/model/csma-channel.h	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/model/csma-channel.h	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Emmanuelle Laprise
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise<emmanuelle.laprise@bluekazoo.ca>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/model/csma-net-device.cc ns-3.43/src/csma/model/csma-net-device.cc
--- ns-3.42/src/csma/model/csma-net-device.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/model/csma-net-device.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Emmanuelle Laprise
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma/model/csma-net-device.h ns-3.43/src/csma/model/csma-net-device.h
--- ns-3.42/src/csma/model/csma-net-device.h	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma/model/csma-net-device.h	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Emmanuelle Laprise
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma-layout/examples/csma-star.cc ns-3.43/src/csma-layout/examples/csma-star.cc
--- ns-3.42/src/csma-layout/examples/csma-star.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma-layout/examples/csma-star.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma-layout/model/csma-star-helper.cc ns-3.43/src/csma-layout/model/csma-star-helper.cc
--- ns-3.42/src/csma-layout/model/csma-star-helper.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma-layout/model/csma-star-helper.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "csma-star-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/csma-layout/model/csma-star-helper.h ns-3.43/src/csma-layout/model/csma-star-helper.h
--- ns-3.42/src/csma-layout/model/csma-star-helper.h	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/csma-layout/model/csma-star-helper.h	2024-10-09 16:41:09.868656000 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Define an object to create a star topology.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/doc/dsdv.h ns-3.43/src/dsdv/doc/dsdv.h
--- ns-3.42/src/dsdv/doc/dsdv.h	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/dsdv/doc/dsdv.h	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra, Yufei Cheng
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hemanth Narra <hemanth@ittc.ku.com>
  * Author: Yufei Cheng   <yfcheng@ittc.ku.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/examples/dsdv-manet.cc ns-3.43/src/dsdv/examples/dsdv-manet.cc
--- ns-3.42/src/dsdv/examples/dsdv-manet.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/dsdv/examples/dsdv-manet.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hemanth Narra <hemanth@ittc.ku.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/helper/dsdv-helper.cc ns-3.43/src/dsdv/helper/dsdv-helper.cc
--- ns-3.42/src/dsdv/helper/dsdv-helper.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/dsdv/helper/dsdv-helper.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Hemanth Narra <hemanth@ittc.ku.com>, written after OlsrHelper by Mathieu Lacage
  * <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/helper/dsdv-helper.h ns-3.43/src/dsdv/helper/dsdv-helper.h
--- ns-3.42/src/dsdv/helper/dsdv-helper.h	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/dsdv/helper/dsdv-helper.h	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Hemanth Narra <hemanth@ittc.ku.com>, written after OlsrHelper by Mathieu Lacage
  * <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/model/dsdv-packet.cc ns-3.43/src/dsdv/model/dsdv-packet.cc
--- ns-3.42/src/dsdv/model/dsdv-packet.cc	2024-05-29 15:29:46.944073200 -0700
+++ ns-3.43/src/dsdv/model/dsdv-packet.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hemanth Narra <hemanth@ittc.ku.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/model/dsdv-packet.h ns-3.43/src/dsdv/model/dsdv-packet.h
--- ns-3.42/src/dsdv/model/dsdv-packet.h	2024-05-29 15:29:46.944073200 -0700
+++ ns-3.43/src/dsdv/model/dsdv-packet.h	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hemanth Narra <hemanth@ittc.ku.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/model/dsdv-packet-queue.cc ns-3.43/src/dsdv/model/dsdv-packet-queue.cc
--- ns-3.42/src/dsdv/model/dsdv-packet-queue.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/dsdv/model/dsdv-packet-queue.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hemanth Narra <hemanth@ittc.ku.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/model/dsdv-packet-queue.h ns-3.43/src/dsdv/model/dsdv-packet-queue.h
--- ns-3.42/src/dsdv/model/dsdv-packet-queue.h	2024-05-29 15:29:46.944073200 -0700
+++ ns-3.43/src/dsdv/model/dsdv-packet-queue.h	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hemanth Narra <hemanth@ittc.ku.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/model/dsdv-routing-protocol.cc ns-3.43/src/dsdv/model/dsdv-routing-protocol.cc
--- ns-3.42/src/dsdv/model/dsdv-routing-protocol.cc	2024-05-29 15:29:46.944073200 -0700
+++ ns-3.43/src/dsdv/model/dsdv-routing-protocol.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra, Yufei Cheng
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hemanth Narra <hemanth@ittc.ku.com>
  * Author: Yufei Cheng   <yfcheng@ittc.ku.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/model/dsdv-routing-protocol.h ns-3.43/src/dsdv/model/dsdv-routing-protocol.h
--- ns-3.42/src/dsdv/model/dsdv-routing-protocol.h	2024-05-29 15:29:46.944073200 -0700
+++ ns-3.43/src/dsdv/model/dsdv-routing-protocol.h	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra, Yufei Cheng
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hemanth Narra <hemanth@ittc.ku.com>
  * Author: Yufei Cheng   <yfcheng@ittc.ku.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/model/dsdv-rtable.cc ns-3.43/src/dsdv/model/dsdv-rtable.cc
--- ns-3.42/src/dsdv/model/dsdv-rtable.cc	2024-05-29 15:29:46.944073200 -0700
+++ ns-3.43/src/dsdv/model/dsdv-rtable.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hemanth Narra <hemanth@ittc.ku.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/model/dsdv-rtable.h ns-3.43/src/dsdv/model/dsdv-rtable.h
--- ns-3.42/src/dsdv/model/dsdv-rtable.h	2024-05-29 15:29:46.944073200 -0700
+++ ns-3.43/src/dsdv/model/dsdv-rtable.h	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hemanth Narra <hemanth@ittc.ku.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/dsdv/test/dsdv-testcase.cc ns-3.43/src/dsdv/test/dsdv-testcase.cc
--- ns-3.42/src/dsdv/test/dsdv-testcase.cc	2024-05-29 15:29:46.944073200 -0700
+++ ns-3.43/src/dsdv/test/dsdv-testcase.cc	2024-10-09 16:41:09.868656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hemanth Narra
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hemanth Narra <hemanth@ittc.ku.com>
  *
